/* SRCDrop - Filename: ENCTHREAD.H
 *
 *   Copyright (c) 2005 John Edwards <john.edwards33@ntlworld.com>
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Library General Public
 *   License as published by the Free Software Foundation; either
 *   version 2 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Library General Public License for more details.
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ENCTHREAD_H__
#define __ENCTHREAD_H__

void encthread_init(void);
void encthread_addfile(char *file);
void encthread_set_delInput(int delInput);
void encthread_set_converter(int converter);
void encthread_set_resample_rate(int resample_rate);
void encthread_set_logerr(int logerr);
#endif
